---
title: Document.lastModified
slug: Web/API/Document/lastModified
tags:
  - API
  - Document
  - HTML DOM
  - NeedsSpecTable
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <strong><code>lastModified</code></strong> property of the {{domxref("Document")}} interface returns a string containing the date and time on which the current document was last modified.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>string</var> = <var>document</var>.lastModified;
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Simple_usage">Simple usage</h3>

<p>This example alerts the value of <code>lastModified</code>.</p>

<pre class="brush:js notranslate">alert(document.lastModified);
// returns: Tuesday, December 16, 2017 11:09:42
</pre>

<h3 id="Transforming_lastModified_into_a_Date_object">Transforming lastModified into a Date object</h3>

<p>This example transforms <code>lastModified</code> into a {{jsxref("Date")}} object.</p>

<pre class="brush:js notranslate">let oLastModif = new Date(document.lastModified);
</pre>

<h3 id="Transforming_lastModified_into_milliseconds">Transforming lastModified into milliseconds</h3>

<p>This example transforms <code>lastModified</code> into the number of milliseconds since January 1, 1970, 00:00:00, local time.</p>

<pre class="brush:js notranslate">let nLastModif = Date.parse(document.lastModified);
</pre>

<h2 id="Notes">Notes</h2>

<p>Note that as a string, <code>lastModified</code> cannot <em>easily</em> be used for comparing the modification dates of documents. Here is a possible example of how to show an alert message when the page changes (see also: <a href="/en-US/docs/DOM/document.cookie">JavaScript cookies API</a>):</p>

<pre class="brush: js notranslate">if (Date.parse(document.lastModified) &gt; parseFloat(document.cookie.replace(/(?:(?:^|.*;)\s*last_modif\s*\=\s*([^;]*).*$)|^.*$/, "$1") || "0")) {
  document.cookie = "last_modif=" + Date.now() + "; expires=Fri, 31 Dec 9999 23:59:59 GMT; path=" + location.pathname;
  alert("This page has changed!");
}</pre>

<p>…the same example, but skipping the first visit:</p>

<pre class="brush: js notranslate">var
  nLastVisit = parseFloat(document.cookie.replace(/(?:(?:^|.*;)\s*last_modif\s*\=\s*([^;]*).*$)|^.*$/, "$1")),
  nLastModif = Date.parse(document.lastModified);

if (isNaN(nLastVisit) || nLastModif &gt; nLastVisit) {
  document.cookie = "last_modif=" + Date.now() + "; expires=Fri, 31 Dec 9999 23:59:59 GMT; path=" + location.pathname;

  if (isFinite(nLastVisit)) {
    alert("This page has been changed!");
  }
}</pre>

<div class="note"><strong>Note:</strong> WebKit returns the time string in UTC; Gecko and Internet Explorer return a time in the local timezone. (See: <a href="https://bugs.webkit.org/show_bug.cgi?id=4363">Bug 4363 – document.lastModified returns date in UTC time, but should return it in local time</a>)</div>

<p>If you want to know <strong>whether <em>an external page</em> has changed</strong>, please read <a href="/en-US/docs/Web/API/XMLHttpRequest/Using_XMLHttpRequest#Get_last_modified_date">this paragraph about the <code>XMLHttpRequest()</code> API</a>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-document-lastmodified', 'document.lastModified')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.Document.lastModified")}}</div>
